USE COWS
GO

/*
MDS_EVENT_NEW
*/

Insert into dbo.MDS_EVENT_NEW (EVENT_ID,MDS_FAST_TRK_CD,MDS_FAST_TRK_TYPE_ID,EVENT_STUS_ID,OLD_EVENT_STUS_ID,WRKFLW_STUS_ID,CHARS_ID,H1_ID,
MDS_ACTY_TYPE_ID,SCURD_CD,CSG_LVL_CD,EVENT_TITLE_TXT,CUST_NME,CUST_EMAIL_ADR,CUST_ACCT_TEAM_PDL_NME,SHRT_DES,SOWS_EVENT_ID,FAIL_REAS_ID,
PRE_CFG_CMPLT_CD,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FULL_CUST_DISC_CD,DISCO_DEV_CNT,DSGN_DOC_LOC_TXT,DISC_NTFY_PDL_NME,
MDS_BRDG_NEED_ID,CNFRC_BRDG_NBR,CNFRC_PIN_NBR,ALT_CNFRC_BRG_NME,STRT_TMST,EXTRA_DRTN_TME_AMT,END_TMST,REC_STUS_ID,EVENT_DRTN_IN_MIN_QTY,
TME_SLOT_ID,EVENT_TYPE_ID,SPRINT_CPE_NCR_ID,
--MDS_LOC_CAT_ID,MDS_LOC_TYPE_ID,MDS_LOC_NBR,MDS_LOC_RAS_DT,
SRVC_ASSRN_SITE_SUPP_ID,CPE_DSPCH_EMAIL_ADR,
CPE_DSPCH_CMNT_TXT,ESCL_CD,ESCL_REAS_ID,PRIM_REQ_DT,SCNDY_REQ_DT,BUS_JUSTN_TXT,REQOR_USER_ID,REQOR_CELL_PHN_NBR,PUB_EMAIL_CC_TXT,CMPLTD_EMAIL_CC_TXT,
MNS_PM_ID,ODIE_CUST_ID,SPRS_EMAIL_ON_PUB_CD,OPT_OUT_REAS_TXT,DEV_CNT)

Select	DISTINCT mds.EVENT_ID
		,mds.MDS_FAST_TRK_CD
		,mds.MDS_FAST_TRK_TYPE_ID
		,mds.EVENT_STUS_ID
		,mds.OLD_EVENT_STUS_ID
		,mds.WRKFLW_STUS_ID
		,mds.CHARS_ID
		,mds.H1 AS  H1_ID
		,mds.MDS_ACTY_TYPE_ID
		,mds.SCURD_CD
		,mds.CSG_LVL_CD AS CSG_LVL_ID
		,mds.EVENT_TITLE_TXT
		,mds.CUST_NME
		,mds.CUST_EMAIL_ADR
		,mds.CUST_ACCT_TEAM_PDL_NME
		,mds.SHRT_DES
		,mds.SOWS_EVENT_ID
		,mds.FAIL_REAS_ID
		,mds.PRE_CFG_CMPLT_CD
		,mds.CREAT_BY_USER_ID
		,mds.MODFD_BY_USER_ID
		,mds.MODFD_DT
		,mds.CREAT_DT
		,mds.FULL_CUST_DISC_CD
		,mds.DEV_CNT AS DISCO_DEV_CNT
		,mds.DSGN_DOC_LOC_TXT
		,mds.DISC_NTFY_PDL_NME
		,mds.MDS_BRDG_NEED_CD
		,mds.CNFRC_BRDG_NBR
		,mds.CNFRC_PIN_NBR
		,NULL AS ALT_CNFRC_BRG_NME --new column
		,mds.STRT_TMST
		,mds.EXTRA_DRTN_TME_AMT
		,mds.END_TMST
		,mds.REC_STUS_ID
		,mds.EVENT_DRTN_IN_MIN_QTY
		,mds.TME_SLOT_ID
		,mds.EVENT_TYPE_ID
		,SPRINT_CPE_NCR_ID
		--,loc.MDS_LOC_CAT_ID
		--,loc.MDS_LOC_TYPE_ID
		--,loc.MDS_LOC_NBR
		--,loc.MDS_LOC_RAS_DT
		,fmds.SRVC_ASSRN_SITE_SUPP_ID
		,fmds.CPE_DSPCH_EMAIL_ADR
		,fmds.CPE_DSPCH_CMNT_TXT
		,mds.ESCL_CD
		,mds.ESCL_REAS_ID
		,mds.PRIM_REQ_DT
		,mds.SCNDY_REQ_DT
		,mds.BUS_JUSTN_TXT
		,CASE ISNULL(mds.REQOR_USER_ID,0)
			WHEN 0 THEN 1
			ELSE mds.REQOR_USER_ID
		END AS REQOR_USER_ID
		,NULL AS REQOR_CELL_PHN_NBR -- new column
		,mds.PUB_EMAIL_CC_TXT
		,mds.CMPLTD_EMAIL_CC_TXT
		,mds.MNS_PM_ID
		,mds.ODIE_CUST_ID
		,NULL AS SPRS_EMAIL_ON_PUB_CD -- new column
		,NULL AS OPT_OUT_REAS_TXT -- new column?? No,(this needs to come from MDS_MNGD_ACT table) 
		,mds.DEV_CNT
FROM	dbo.MDS_EVENT mds WITH (NOLOCK)
LEFT JOIN (Select MIN(FSA_MDS_Event_ID) AS FSA_MDS_Event_ID,EVENT_ID 
				FROM dbo.FSA_MDS_EVENT WITH (NOLOCK)
				GROUP BY EVENT_ID) x ON x.EVENT_ID = mds.EVENT_ID
LEFT JOIN dbo.FSA_MDS_EVENT fmds WITH (NOLOCK) ON fmds.FSA_MDS_EVENT_ID = x.FSA_MDS_Event_ID